export default UINode;
declare class UINode extends Node {
    constructor(options?: {});
    originData: any;
    selectedKeyStorage: any;
    checkedKeysStorage: any;
    expandedKeysStorage: any;
    visibleKeysStorage: any;
    title: any;
    selectable: any;
    checkable: any;
    isLeaf: any;
    icon: any;
    disabled: any;
    disableCheckbox: any;
    checked: boolean;
    expanded: boolean;
    loading: boolean;
    selected: boolean;
    indeterminate: boolean;
    json: {
        key: any;
        originData: any;
        data: {};
        isLeaf: any;
        checkable: any;
        disabled: any;
        disableCheckbox: any;
        title: any;
        checked: boolean;
        indeterminate: boolean;
        expanded: boolean;
        loading: boolean;
        selected: boolean;
        selectable: any;
        icon: any;
        deep: any;
        parent: any;
    } | null;
    get visible(): boolean;
    get flat(): {
        key: any;
        originData: any;
        data: {};
        isLeaf: any;
        checkable: any;
        disabled: any;
        disableCheckbox: any;
        title: any;
        checked: boolean;
        indeterminate: boolean;
        expanded: boolean;
        loading: boolean;
        selected: boolean;
        selectable: any;
        icon: any;
        deep: any;
        parent: any;
    }[];
    get canSelected(): any;
    get canChecked(): any;
    get countChildrenCanChecked(): number;
    get countChildrenChecked(): number;
    get countChildrenIndeterminate(): number;
    setSelected(selected: any): void;
    setChecked(checked: any): void;
    setExpand(expanded: any): void;
    setIndeterminate(indeterminate: any): void;
    setLoading(loading: any): void;
    setIsLeaf(isLeaf: any): void;
    setVisible(visible: any): void;
    toObject(): {
        key: any;
        originData: any;
        data: {};
        isLeaf: any;
        checkable: any;
        disabled: any;
        disableCheckbox: any;
        title: any;
        checked: boolean;
        indeterminate: boolean;
        expanded: boolean;
        loading: boolean;
        selected: boolean;
        selectable: any;
        icon: any;
        deep: any;
        parent: any;
    };
    select(selected: any): void;
    check(checked: any): void;
    expand(expanded: any): void;
    expandParent(expanded: any): void;
    clearChildrenStorage(): void;
    resetChildren(): void;
    checkChildren(checked: any): void;
    computeParentCheckStatus(): void;
    computeCheckStatus(): void;
}
import Node from './node';
